# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global _with_bootstrap 0

%global with_bootstrap %{!?_with_bootstrap:0}%{?_with_bootstrap:1}
%global without_bootstrap %{?_with_bootstrap:0}%{!?_with_bootstrap:1}


Summary:        ObjectWeb Ant task
Name:           objectweb-anttask
Version:        1.3.2
Release:        %mkrel 14
Epoch:          0
Group:          Development/Java
License:        LGPLv2+
URL:            http://forge.objectweb.org/projects/monolog/
BuildArch:      noarch
Source0:        http://download.forge.objectweb.org/monolog/ow_util_ant_tasks_1.3.2.zip
BuildRequires:  java-devel
BuildRequires:  ant >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.6

%if %{without_bootstrap}
BuildRequires:  asm2
Requires:       asm2
%endif
Requires:       ant

%description
ObjectWeb Ant task

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -c -q -n %{name}

# extract jars iff in bootstrap mode
%if %{without_bootstrap}
find . -name "*.class" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;
%endif

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath asm2/asm2)
ant -Dbuild.compiler=modern -Dbuild.sysclasspath=first jar jdoc

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 output/lib/ow_util_ant_tasks.jar\
 $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr output/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
echo "%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/%{name}

%files
%doc doc/* 
%doc output/jdoc/*
%{_javadir}/*
%{_sysconfdir}/ant.d/*

%files javadoc
%doc %{_javadocdir}/%{name}




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0:1.3.2-14.mga8
+ Revision: 1492660
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0:1.3.2-13.mga7
+ Revision: 1265373
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0:1.3.2-12.mga6
+ Revision: 941228
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.3.2-11.mga5
+ Revision: 751179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.3.2-10.mga5
+ Revision: 682966
- Mageia 5 Mass Rebuild

* Sat May 24 2014 dmorgan <dmorgan> 0:1.3.2-9.mga5
+ Revision: 625373
- Cleanup spec file

* Fri Oct 18 2013 umeabot <umeabot> 0:1.3.2-3.0.9.mga4
+ Revision: 508423
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0:1.3.2-3.0.8.mga3
+ Revision: 361099
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 dmorgan <dmorgan> 0:1.3.2-3.0.7.mga1
+ Revision: 21100
- imported package objectweb-anttask


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.3.2-3.0.7mdv2011.0
+ Revision: 607005
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.3.2-3.0.6mdv2010.1
+ Revision: 523452
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:1.3.2-3.0.5mdv2010.0
+ Revision: 426265
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:1.3.2-3.0.4mdv2009.1
+ Revision: 351640
- rebuild

* Fri Jan 25 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.3.2-3.0.3mdv2008.1
+ Revision: 157955
- BR asm2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.3.2-3.0.1mdv2008.0
+ Revision: 87270
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 30 2007 David Walluck <walluck@mandriva.org> 0:1.3.2-3.0.0mdv2008.0
+ Revision: 76263
- BuildRequires: xalan-j2
- does not require asm2
- ship javadocs
- temporarily disable filesets (not supported on ant 1.7.0)

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for 2008


* Thu Aug 24 2006 David Walluck <walluck@mandriva.org> 0:1.3.2-2mdv2007.0
- rebuild

* Mon Jul 24 2006 David Walluck <walluck@mandriva.org> 0:1.3.2-1mdv2007.0
- 1.3.2
- requires asm2 (circular)
- does not require xalan-j2

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:1.2-1.2mdv2007.0
- rebuild for libgcj.so.7
- aot compile

* Sun May 29 2005 David Walluck <walluck@mandriva.org> 0:1.2-1.1mdk
- release

* Tue Sep 21 2004 Ralph Apel <r.apel at r-apel.de> 0:1.2-1jpp
- First JPackage release

